load("@bazel_skylib//rules:run_binary.bzl", "run_binary")

cc_library(
    name = "sys",
    srcs = glob(["*.c"]) + [":fonts/sys_font_small.c"],
    hdrs = glob(["*.h"]) + [":fonts/sys_font_small.h"],
    visibility = ["//visibility:public"],
    deps = ["//device:device"],
)

run_binary(
    name = "sys_font_small",
    args = [
        "sys_font_small",
        "256",
        "$(location :fonts/sys_font_small.png)", 
        "$(location :fonts/sys_font_small.c)"
    ],
    srcs = [":fonts/sys_font_small.png"],
    outs = [":fonts/sys_font_small.c"],
    tool = "//pytools:font",
)